[josm-dev] Banning plugins

Vincent Privat vincent.privat at gmail.com
Wed Jun 3 00:43:34 UTC 2015


Hello,
I'm sick tired of these three plugins:

1) CADTools
2) ContourOverlappingMerge
3) LaneConnector

Why? Because they all include old, incompatible code that causes conflicts
with turnrestriction plugin:

https://josm.openstreetmap.de/ticket/11202
https://josm.openstreetmap.de/ticket/11438
https://josm.openstreetmap.de/ticket/11468

We reported these issues to their respective authors, but none of them dare
to reply:

https://github.com/ROTARIUANAMARIA/CADTools/issues/1
https://github.com/bularcasergiu/ContourOverlappingMerge/issues/1
https://github.com/TrifanAdrian/LanecConnectorPlugin/issues/1

There are still users facing these errors, see:
https://josm.openstreetmap.de/ticket/11518

So I'm moving these plugins to the internal list of unmaintained plugins.
Next version of JOSM will suggest to disable them at startup.

Regards,
Vincent


More information about the josm-dev mailing list